package com.eactive.eai.agent.transaction;

import java.io.Serializable;

public class ProcessingFileStatusVO implements Serializable//, Comparable
{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String serverName     = "";
	private String uuid           = "";   // 작업요청메시지ID (UUID)
	private String subUuid        = "";   // 작업요청부메시지ID (subUUID)
	private String processCode    = "";
	private String processName    = "";
	private String organCode      = "";
	private String organName      = "";
	private String processType    = "";
	private String batchStartTime = "";
	private String phaseStartTime = "";
	private String fileName       = "";
	private long   totalFileSize  = 0;
	private long   currFileSize   = 0;
	
	
	public void setServerName    (String arg) { serverName     = arg; }
	public void setUuid          (String arg) { uuid           = arg; }
	public void setSubUuid       (String arg) { subUuid        = arg; }
	public void setProcessCode   (String arg) { processCode    = arg; }
	public void setProcessName   (String arg) { processName    = arg; }
	public void setOrganCode     (String arg) { organCode      = arg; }
	public void setOrganName     (String arg) { organName      = arg; }
	public void setProcessType   (String arg) { processType    = arg; }
	public void setBatchStartTime(String arg) { batchStartTime = arg; }
	public void setPhaseStartTime(String arg) { phaseStartTime = arg; }
	public void setFileName      (String arg) { fileName       = arg; }
	public void setTotalFileSize (long   arg) { totalFileSize  = arg; }
	public void setCurrFileSize  (long   arg) { currFileSize   = arg; }
	
	
	public String getServerName    () { return serverName    ; }
	public String getUuid          () { return uuid          ; }
	public String getSubUuid       () { return subUuid       ; }
	public String getProcessCode   () { return processCode   ; }
	public String getProcessName   () { return processName   ; }
	public String getOrganCode     () { return organCode     ; }
	public String getOrganName     () { return organName     ; }
	public String getProcessType   () { return processType   ; }
	public String getBatchStartTime() { return batchStartTime; }
	public String getPhaseStartTime() { return phaseStartTime; }
	public String getFileName      () { return fileName      ; }
	public long   getTotalFileSize () { return totalFileSize ; }
	public long   getCurrFileSize  () { return currFileSize  ; }
	

//    public int compareTo(Object arg0) {
//		ProcessingFileStatusVO info = (ProcessingFileStatusVO) arg0;
//		//int compare = 0;
//		//if ((compare = this.getServerName ().compareTo(info.getServerName ())) != 0) return compare;
//		//if ((compare = this.getProcessName().compareTo(info.getProcessName())) != 0) return compare;
//		//if ((compare = this.getOrganName  ().compareTo(info.getOrganName  ())) != 0) return compare;
//		return this.getBatchStartTime().compareTo(info.getBatchStartTime());
//	}


	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("\nProcessingFileStatusVO [ ");
		sb.append("serverName="        ).append(serverName      );
		sb.append(", uuid="            ).append(uuid            );
		sb.append(", subUuid="         ).append(subUuid         );
		sb.append(", processCode="     ).append(processCode     );
		sb.append(", processName="     ).append(processName     );
		sb.append(", organCode="       ).append(organCode       );
		sb.append(", organName="       ).append(organName       );
		sb.append(", processType="     ).append(processType     );
		sb.append(", batchStartTime="  ).append(batchStartTime  );
		sb.append(", phaseStartTime="  ).append(phaseStartTime  );
		sb.append(", fileName="        ).append(fileName        );
		sb.append(", totalFileSize="   ).append(totalFileSize   );
		sb.append(", currFileSize="    ).append(currFileSize    );
		sb.append(" ]");

		return sb.toString();
	}
}
